pkgname="nintendo-switch"
pkgbase="nintendo-switch"
pkgver="2.0"
pkgrel="1.1"
pkgdesc="Nintendo Switch meta package"
arch=("any")
url="https://github.com/Linux-4-Switch"
license=("GPL")
source=("joycond" "r2p" "system-sleep")
md5sums=("SKIP" "SKIP" "SKIP")

package_meta() {
	install=nintendo-switch-meta.install
	depends+=(
		"alsa-utils"
		"gst-plugins-bad"
		"gstreamer"
		"nvidia-l4t-3d-core"
                "nvidia-l4t-camera"
                "nvidia-l4t-ccp-t210ref"
                "nvidia-l4t-configs"
                "nvidia-l4t-core"
                "nvidia-l4t-cuda"
                "nvidia-l4t-firmware"
                "nvidia-l4t-graphics-demos"
                "nvidia-l4t-gstreamer"
                "nvidia-l4t-init"
                "nvidia-l4t-jetson-io"
                "nvidia-l4t-kernel-headers"
                "nvidia-l4t-jetson-multimedia-api"
                "nvidia-l4t-multimedia"
                "nvidia-l4t-multimedia-utils"
                "nvidia-l4t-oem-config"
                "nvidia-l4t-tools"
                "nvidia-l4t-wayland"
                "nvidia-l4t-weston"
                "nvidia-l4t-x11"
                "nvidia-l4t-xusb-firmware"
		"joycond"
		"libappindicator-gtk3"
		"linux-tegra"
		"linux-tegra-headers"
		"linux-tegra-initramfs"
		"linux-tegra-device-tree"
		"linux-tegra-overlays"
		"switch-bootfiles"
		"switch-configs"
		"wpa_supplicant"
		"dialog"
		"bluez"
		"sudo"
		"dhcpcd"
		"networkmanager"
		"onboard"
		"packagekit"
		"packagekit-qt5"
		"pulseaudio"
		"pulseaudio-alsa"
		"xorg-xinit"
		"xorg-server"
		"xorg-xrandr"
		"chromium"
	)
}

package_meta-openrc() {
	install+=nintendo-switch-meta-openrc.install
	depends+=(
		"alsa-utils"
		"gst-plugins-bad"
		"gstreamer"
		"nvidia-l4t-3d-core"
                "nvidia-l4t-camera"
                "nvidia-l4t-ccp-t210ref"
                "nvidia-l4t-configs"
                "nvidia-l4t-core"
                "nvidia-l4t-cuda"
                "nvidia-l4t-firmware"
                "nvidia-l4t-graphics-demos"
                "nvidia-l4t-gstreamer"
                "nvidia-l4t-init"
                "nvidia-l4t-jetson-io"
                "nvidia-l4t-kernel-headers"
                "nvidia-l4t-jetson-multimedia-api"
                "nvidia-l4t-multimedia"
                "nvidia-l4t-multimedia-utils"
                "nvidia-l4t-oem-config"
                "nvidia-l4t-tools"
                "nvidia-l4t-wayland"
                "nvidia-l4t-weston"
                "nvidia-l4t-x11"
                "nvidia-l4t-xusb-firmware"
		"joycond"
		"libappindicator-gtk3"
		"linux-tegra"
		"linux-tegra-headers"
		"linux-tegra-initramfs"
		"linux-tegra-device-tree"
		"linux-tegra-overlays"
		"switch-bootfiles"
		"switch-configs-openrc"
		"wpa_supplicant"
		"dialog"
		"bluez"
		"bluez-openrc"
		"sudo"
		"dhcpcd"
		"networkmanager"
		"networkmanager-openrc"
		"onboard"
		"packagekit"
		"packagekit-qt5"
		"pulseaudio"
		"pulseaudio-alsa"
		"xorg-xinit"
		"xorg-server"
		"xorg-xrandr"
		"chromium"
	)
	mkdir -p $pkgdir/etc/init.d/ $pkgdir/usr/lib/elogind/
	install -Dm 755 $srcdir/r2p $pkgdir/etc/init.d/
	install -Dm 755 $srcdir/joycond $pkgdir/etc/init.d/
	install -Dm 755 $srcdir/system-sleep $pkgdir/usr/lib/elogind/nintendo-fixes.sh
}

pkgname=(
	"${pkgbase}-meta"
	"${pkgbase}-meta-openrc"
)

for _p in ${pkgname[@]}; do
	pkg="package${_p#${pkgbase}}"
	eval "package_${_p}() {
		${pkg/-/_}
	}"
done
